Page MenuHomePhabricator

Promote GSoC, FOSS OPW, and Wikimedia Hackathon in France
Closed, DeclinedPublic

Description

We are missing more Google Summer of Code and FOSS Outreach Program for Women candidates in... France! Also, we need to promote locally the Wikimedia Hackathon 2015 in Lyon.

See T925: Connect Wikimedia groups, Google Developer Groups, and computer science university departments for the general plan, which should inspire each local community to recruit candidates in their area.

This task needs local drivers. The Developer-Advocacy team and others can help from a distance, but without a local promoter taking this task, this won't work.

Related Objects

StatusAssignedTask
ResolvedQgil
ResolvedQgil
ResolvedQgil
ResolvedKeegan
DeclinedNone
ResolvedQgil
ResolvedQgil
ResolvedQgil
ResolvedRfarrand
ResolvedRfarrand
ResolvedQgil
ResolvedQgil
ResolvedNiharika
ResolvedNiharika
ResolvedQgil
DeclinedQgil
DeclinedAlexCella
ResolvedDeskana
ResolvedLydia_Pintscher
ResolvedLydia_Pintscher
ResolvedQgil
ResolvedNiharika
ResolvedQgil
ResolvedNiharika
Resolved01tonythomas
DuplicateTinaj1234
ResolvedMooeypoo
Resolved yuvipanda
ResolvedNikerabbit
ResolvedNemo_bis
ResolvedDicortazar
Resolved Jdlrobson
Resolvedjayvdb
ResolvedNone
Resolvedjayvdb
ResolvedNone
Resolvedhappy5214
ResolvedAmire80
ResolvedAnkita-ks
ResolvedYaron_Koren

Event Timeline

Qgil created this task.Feb 2 2015, 10:12 AM
Qgil updated the task description. (Show Details)
Qgil raised the priority of this task from to Normal.
Qgil added a subscriber: Qgil.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 2 2015, 10:12 AM
Qgil added a comment.Feb 2 2015, 10:21 AM

Yesterday at FOSDEM, I had a chat with Pierre-Alexandre Louyot from http://www.epitech.eu/, a network of computer science schools with presence in seleval French cities including Lyon. They have students that participated in previous GSoC editions. in our initial conversation we mentioned some possible ideas:

  • Give a talk about Wikimedia tech via teleconference to be broadcasted in all their centres (English is fine and apparently even preferred).
  • Discuss about how to promote GSoC and FOSS OPW participation in their centers.
  • Connect with their center in Lyon to organize activities in relation to Wikimedia-Hackathon-2015
  • Provide more contacts to promote the hackathon among technical communities in Lyon.
Qgil added a comment.Feb 3 2015, 9:20 AM

I just sent a call for volunteers pointing to this task in wikitech-l, mediawiki-l, wikimedia-l, and wmfall.

Qgil set Security to None.
Gilles added a subscriber: Gilles.Feb 9 2015, 7:50 AM
Qgil added a comment.Feb 10 2015, 12:26 PM

Contact established with Mathieu Champely, head of Epitech Lyon.

I really start to miss someone from the hackathon organization acting as local contact in Lyon...

Hello Quim, I can try and find a local contact from the local group in Lyon. Could you please explain what you would exactly expect from that person?

Qgil added a comment.Feb 10 2015, 9:13 PM

Thanks @Sylvain_WMFr. We need someone able to invite local developer groups to the Hackathon, explaining the event to them and reporting back about the types of sessions these developers expect or would like to have. For instance, someone that could continue the conversation with Epitech Lyon.

  • Give a talk about Wikimedia tech via teleconference to be broadcasted in all their centres (English is fine and apparently even preferred).
  • Discuss about how to promote GSoC and FOSS OPW participation in their centers.

I'd be happy to help with that and I can offer to do the talk from Epitech Montpellier's premises. I got briefly in touch with them a couple of years ago about lecturing there, but things didn't materialize. The people I was in touch with were a bit flaky. Do you know who's the best person to contact on their end about those 2 ideas?

As for local things in Lyon, I don't have any contacts there, unfortunately.

Quim, I'm working here for the WMFr in Paris but I can be your local dude in Lyon.

I'll go in many schools already to show Hackathon to students in order to have new attendees. Epitech might be one of them (I'll do all of them on 3 or 4 days I think).

In the same time, I'll be in contact with some communities of dev, and especially a feminine community, which might be very interesting both for Hackathon & FOSS Outreach Program for Women.

Is that fine for you?

Though, I'll need more info.

We were thinking of inviting students by explaining:
"You might do the GSoC next year, you might then work on project for Wikimedia, come and have a first overview of what we do"

Do students register and create a project they want to work on or do they pick among a list?

That might attract new coders and give them motivation for the GsoC.

Qgil added a comment.Feb 12 2015, 12:13 PM

@Gilles, your help in/from Montpellier is appreciated. Please sync with @AlexCella. Hopefully more contributors will want to help from other French locations.

@AlexCella, your questions about GSoC and (Outreachy) will be answered when I complete T921 next week.

Qgil added a subscriber: Tpt.Feb 25 2015, 8:34 AM

I have put @AlexCella in touch with my two contacts in Epitech.

And I just saw this:

In https://lists.wikimedia.org/pipermail/wikidata-l/2015-February/005466.html, @Tpt says:

I and some other students from the ENS de Lyon have created a query answering tool [ 1 ] based on Wikidata....

Adding http://www.ens-lyon.eu/ to the mix would be great.

Qgil assigned this task to AlexCella.Mar 12 2015, 11:49 AM

We know that Wikidata and Mobile apps will be main areas at the Wikimedia Hackathon. Which groups can we reach out in Lyon / France? Which activities should we plan for them?

These two areas cover very popular topics with established communities: open data, open knowledge, Android, iOS, mobile development... All newcomers are welcome, but when it comes to our outreach efforts, I would focus in these two. Event program, promotion, and travel sponsorship should be well aligned in order to bring many and great new contributors.

Qgil added a comment.Apr 15 2015, 9:19 PM

GSoC and Outreachy are well underway now, and there were no activities in France that we are aware of.

What about the promotion of the Wikimedia Hackathon?

I thought it was late since registration closed in March...

I think you need to explain me deeply what you want to do here. I don't really get it.

We'll use the Hackathon to promote GSoC?

Qgil closed this task as Declined.Apr 16 2015, 4:06 PM

The fact that this task is unclear at this point just shows that it has been in practice declined. Sorry, I should have explained myself better and before.

Qgil moved this task from Backlog to Doing on the ECT-April-2015 board.Apr 27 2015, 7:41 AM